// ignore_for_file: avoid_web_libraries_in_flutter

import 'dart:html';

import 'package:audio_service_web/js/media_session_web.dart';
import 'package:music_web_player/api.dart';

void updateMusicSession(MusicEntry entry) {
  MediaSession.metadata = MediaMetadata({
    "title": entry.title,
    "artist": entry.artist,
    "artwork": [
      {
        "src": entry.coverURL,
        "sizes": "512x512",
        "type": "image/jpeg",
      }
    ]
  });
}
